# -*- coding: utf-8 -*-
import sys
import os
from loguru import logger


# 初始化日志配置
def init_log(content):
    if not os.path.exists(content["log"]["base_path"]):
        os.makedirs(content["log"]["base_path"])
    # 移除日志设置
    logger.remove(handler_id=None)
    # 打印日志到文件
    if content["log"]["enable_file_log"]:
        logger.add(content["log"]["base_path"] + content["log"]["log_name"],
                   rotation=content["log"]["rotation"],
                   retention=content["log"]["retention"],
                   format=content["log"]["log_fmt"],
                   level=content["log"]["level"],
                   enqueue=content["log"]["enqueue"],
                   encoding=content["log"]["encoding"])
    # 控制台输出
    if content["log"]["enable_stderr"]:
        logger.add(sys.stderr,
                   format=content["log"]["log_fmt"],
                   level=content["log"]["level"],
                   enqueue=True)
